<div class="flex flex-col h-full">
  <mat-toolbar color="primary" class="flex-shrink-0">
    <div class="h-full" *ngIf="showLogo">
      <!-- The ngIf directive will only render the logo if showLogo is true -->
      <img src="{{ toolLogo.assetPath }}" alt="Logo" class="h-full logo" />
    </div>
    <!-- application name and navigation to landing page -->
    <button class="toolbar-button" mat-flat-button [routerLink]="this.homeLink.route">
      <span class="header-tool-name"> {{ applicationName }} </span>
    </button>

    <!-- links for navigation -->
    <ng-container *ngFor="let link of visibleLinks">
      <!-- content is inserted depending on condition: https://angular.io/api/core/ng-container -->
      <ng-container *ngIf="link.route; then simpleLink; else nestedLinks">
      </ng-container>

      <!-- simple links without nesting -->
      <ng-template #simpleLink>
        <button
          class="toolbar-button"
          mat-flat-button
          [routerLink]="link.route"
          [routerLinkActive]="'active-link'"
          matRipple
          [matRippleDisabled]="!isActiveRoute(link.route)"
        >
        <span class="mat-mdc-button-persistent-ripple mdc-button__ripple"></span>
        <span class="white_space_break">
            {{ link.label }}
          </span>
        </button>
      </ng-template>

      <!-- nested links with menu -->
      <ng-template #nestedLinks>
        <button
          class="toolbar-button"
          [matMenuTriggerFor]="menu"
          mat-flat-button
        >
          <span>
            {{ link.label }}
          </span>
        </button>

        <mat-menu #menu="matMenu">
          <ng-container *ngFor="let childLink of link.children">
            <button
              mat-menu-item
              class="white_space_break"
              [routerLink]="childLink.route"
            >
              {{ childLink.label }}
            </button>
          </ng-container>
        </mat-menu>
      </ng-template>
    </ng-container>

    <!-- login button -->
    <div *ngIf="hasLogin" class="ml-auto" [routerLink]="'/login'">
      <div *ngIf="!isLoggedIn()" (click)="logIn()">
        <button mat-flat-button>
          LOGIN
          <mat-icon>account_circle</mat-icon>
        </button>
      </div>
      <div *ngIf="isLoggedIn()" (click)="logOut()">
        <button mat-flat-button>
          LOGOUT
          <mat-icon>account_circle</mat-icon>
        </button>
      </div>
    </div>
  </mat-toolbar>

  <!-- application content is projected into router and footer slots: https://angular.io/guide/content-projection -->

  <div class="overflow-y-auto min-w-600 mb-auto" style="height:100%">
    <ng-content select="router-outlet"></ng-content>
  </div>

  <div >
    <ng-content select="#footer"></ng-content>
  </div>
</div>
